package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author 曹林
 * @description 考试题目类型蚕食
 * @create 2023/8/11 22:21
 */
@Data
@Accessors(chain = true)
public class TestQuestionTypeDto {

    //科目
    private String subject;
    //判断题
    private Integer judgeNum;
    //单选题
    private Integer radioNum;
    //多选题
    private Integer multipleChoiceNum;
}
