package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 题库版本表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-09-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdQuestionVersion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题库版本
     */
    @TableId(value = "VERSION_ID", type = IdType.AUTO)
    private Long versionId;

    /**
     * 车型标识
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 备注说明
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;


}
