package com.jwl.driver.server.service;

import com.jwl.driver.server.entity.TdQuestionVersion;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 题库版本表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-09-03
 */
public interface ITdQuestionVersionService extends IService<TdQuestionVersion> {

    /**
     * 获取题库当前版本号
     * @param carTypeId
     * @return
     */
    Long currentVersion(Integer carTypeId);

    /**
     * 题库版本更新
     * @param versionDto
     * @return
     */
    Boolean addVersion(TdQuestionVersion versionDto);
}
