package com.jwl.driver.server.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author 曹林
 * @description 题型分类
 * @create 2023/8/13 17:13
 */
@Data
@Accessors(chain = true)
@ApiModel("题型分类出参")
public class QusetionCategoryVo {

    private static final long serialVersionUID = 1L;

    /**
     * 分类标识
     */
    @ApiModelProperty("分类标识")
    private String category;

    /**
     * 分类名称
     */
    @ApiModelProperty("分类名称")
    private String categoryName;

    /**
     * 类型数量
     */
    @ApiModelProperty("类型数量")
    private Integer num;

    /**
     * 错题ID列表
     */
    @ApiModelProperty("错题ID列表")
    private List<Long> errorQuestionIdList;

}
